Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1
Class DERObjectIdentifier

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.DERObject
              org.bouncycastle.asn1.DERObjectIdentifier

All Implemented Interfaces:
  DEREncodable, DERTags

Direct Known Subclasses:
  CertPolicyId, KeyPurposeId, PolicyQualifierId

    public class DERObjectIdentifier

extends DERObject

Field Summary

Fields inherited from interface org.bouncycastle.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`DERObjectIdentifier(java.lang.String identifier)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getId()`
`static DERObjectIdentifier` | `getInstance(ASN1TaggedObject obj, boolean explicit)` return an Object Identifier from a tagged object.
`static DERObjectIdentifier` | `getInstance(java.lang.Object obj)` return an OID from the passed in object
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class org.bouncycastle.asn1.DERObject
`toASN1Object`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`getDERObject, getEncoded`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DERObjectIdentifier

    public DERObjectIdentifier(java.lang.String identifier)

Method Detail

### getInstance

    public static DERObjectIdentifier getInstance(java.lang.Object obj)

  return an OID from the passed in object

  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getInstance

    public static DERObjectIdentifier getInstance(ASN1TaggedObject obj,
                                                  boolean explicit)

  return an Object Identifier from a tagged object.

  Parameters:
    `obj` - the tagged object holding the object we want
    `explicit` - true if the object is meant to be explicitly tagged false otherwise.
  Throws:
    `java.lang.IllegalArgumentException` - if the tagged object cannot be converted.

### getId

    public java.lang.String getId()

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `DERObject`

### equals

    public boolean equals(java.lang.Object o)

  Specified by:
    `equals` in class `DERObject`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD